import { flags, SfdxCommand } from '@salesforce/command';
import { AnyJson } from '@salesforce/ts-types';
export default class Generate extends SfdxCommand {
    static description: string;
    static longDescription: string;
    static examples: string[];
    static args: {
        name: string;
    }[];
    protected static flagsConfig: {
        devname: flags.Discriminated<flags.Option<string>>;
        label: flags.Discriminated<flags.Option<string>>;
        plurallabel: flags.Discriminated<flags.Option<string>>;
        visibility: flags.Discriminated<flags.Enum<string>>;
        sobjectname: flags.Discriminated<flags.Option<string>>;
        ignoreunsupported: flags.Discriminated<flags.Boolean<boolean>>;
        typeoutputdir: flags.Discriminated<flags.Option<string>>;
        recordsoutputdir: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static requiresProject: boolean;
    run(): Promise<AnyJson>;
}
