export declare class ValidationUtil {
    /**
     * Returns true if the fieldname is a valid api name
     *
     * @param  fieldName API name of the object
     */
    validateAPIName(fieldName: any): boolean;
    /**
     * Returns true if the fieldname is a valid metadata object name
     *
     * @param  fieldName API name of the field
     */
    validateMetadataTypeName(typeName: any): boolean;
    /**
     * Returns true if the fieldname is a valid metadata record name
     *
     * @param  fieldName record name of a metadata record
     */
    validateMetadataRecordName(typeName: any): boolean;
    /**
     * Returns true if name is below 40 characters
     *
     * @param  name label name or plural label
     */
    validateLessThanForty(name: any): boolean;
}
