export declare class Templates {
    /**
     * Using the given data and visibility, creates the body of a type metadata file
     * @param data
     * @param visibility
     */
    createObjectXML(data: any, visibility: any): string;
    /**
     * Using the given data and defaultToString, creates the body for a field file.
     * @param data Record details
     * @param defaultToString If the defaultToString set type to Text for unsupported field types
     */
    createFieldXML(data: any, defaultToString: boolean): string;
    createDefaultTypeStructure(fullName: string, type: string, label: string, picklistValues: string[], decimalplaces?: number): {
        fullName: string;
        defaultValue: string;
        type: "Checkbox";
        label: string;
        unique?: undefined;
        precision?: undefined;
        scale?: undefined;
        valueSet?: undefined;
        length?: undefined;
        visibleLines?: undefined;
    } | {
        fullName: string;
        type: "Email";
        label: string;
        unique: string;
        defaultValue?: undefined;
        precision?: undefined;
        scale?: undefined;
        valueSet?: undefined;
        length?: undefined;
        visibleLines?: undefined;
    } | {
        fullName: string;
        type: "Number";
        label: string;
        precision: number;
        scale: number;
        unique: string;
        defaultValue?: undefined;
        valueSet?: undefined;
        length?: undefined;
        visibleLines?: undefined;
    } | {
        fullName: string;
        type: "Percent";
        label: string;
        precision: number;
        scale: number;
        defaultValue?: undefined;
        unique?: undefined;
        valueSet?: undefined;
        length?: undefined;
        visibleLines?: undefined;
    } | {
        fullName: string;
        type: "Picklist";
        label: string;
        valueSet: {
            restricted: string;
            valueSetDefinition: {
                sorted: string;
                value: any[];
            };
        };
        defaultValue?: undefined;
        unique?: undefined;
        precision?: undefined;
        scale?: undefined;
        length?: undefined;
        visibleLines?: undefined;
    } | {
        fullName: string;
        type: "Text";
        label: string;
        unique: string;
        length: string;
        defaultValue?: undefined;
        precision?: undefined;
        scale?: undefined;
        valueSet?: undefined;
        visibleLines?: undefined;
    } | {
        fullName: string;
        type: "LongTextArea";
        label: string;
        length: string;
        visibleLines: number;
        defaultValue?: undefined;
        unique?: undefined;
        precision?: undefined;
        scale?: undefined;
        valueSet?: undefined;
    } | {
        fullName: string;
        type: string;
        label: string;
        defaultValue?: undefined;
        unique?: undefined;
        precision?: undefined;
        scale?: undefined;
        valueSet?: undefined;
        length?: undefined;
        visibleLines?: undefined;
    };
    canConvert(type: any): boolean;
    private getType;
    private getConvertType;
    private getFullName;
    private getDescription;
    private getExternalId;
    private getFieldManageability;
    private getInlineHelpText;
    private getLabel;
    private getRequiredTag;
    private getPrecisionTag;
    private getScaleTag;
    private getLengthTag;
    private getVisibleLines;
    private getDefaultValue;
    private getValueSet;
    private createPicklistValues;
}
